/v1/extranets-b2b-peering/consumer/{matchId}

Prev Next
Post
/v1/extranets-b2b-peering/consumer/{matchId}

Create B2B extranet peering service consumer

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Path parameters
matchId
integer (int64) Required

ID of the match for the customer subscription of the service

Example1234567891011
Body parameters
Expand All
object
customerId
integer (int64)
Example1234567891011
globalObjectOps
object
property*
object (manaV2GlobalObjectServiceOps) additionalProperties
routingPolicyOps
object
property*
string additionalProperties
ExampleENUM_VALUE
id
integer (int64) Required

ID of the service which is being consumed by the customer (required)

Example1234567891011
nat
Array of object (manaV2B2bNat) Required
object
outsideNatPrefix
string

Outside NAT prefix for the customer prefix

Example100.1.2.0/24
prefix
string Required

Prefix imported into the service (required)

Example10.1.2.0/24
policy
Array of object (manaV2B2bExtranetPeeringServiceConsumerLanSegmentPolicy) Required
object
consumerPrefixes
Array of string
string
Exampleexample string
lanSegment
integer (int64)
Example1234567891011
siteInformation
Array of object (manaV2B2bSiteInformation) Required
object
bwAllocationSiteLists
integer (int32)

Total Bandwidth allocation for the service on these site lists

Example123
bwAllocationSites
integer (int32)

Total Bandwidth allocation for the service on these sites

Example123
policerSiteLists
object (manaV2Policer)
burstSize
integer (int32) Required

Burst size for the policer (required)

Example123
bw
integer (int32) Required

Bandwidth for the policer (required)

Example123
policerSites
object (manaV2Policer)
burstSize
integer (int32) Required

Burst size for the policer (required)

Example123
bw
integer (int32) Required

Bandwidth for the policer (required)

Example123
siteLists
Array of integer
integer (int64)

Site list IDs where the service is deployed

Example1234567891011
sites
Array of integer
integer (int64)

Site IDs where the service is deployed

Example1234567891011
siteToSiteVpn
object (manaV2GuestConsumerSiteToSiteVpnConfig)
emails
Array of string
string
Exampleexample string
ipsecGatewayDetails
object (manaV2IPsecGatewayDetails)
destinationAddress
string
Exampleexample string
ikeInitiator
boolean
Exampletrue
mtu
integer (int32)
Minimum0
Example123
name
string
Exampleexample string
remoteIkePeerIdentity
string
Exampleexample string
routing
object (manaV2IpsecRoutingConfig)
bgp
object (manaV2IPsecBgpRouteConfig)
addressFamilies
object
property*
object (manaV2NullableBgpNeighborAddressFamilyConfig) additionalProperties
family
object (manaV2BgpNeighborAddressFamilyConfig)
addressFamily
string
ExampleENUM_VALUE
inboundPolicy
object (manaV2NullablePolicyName)
policy
string
Exampleexample string
outboundPolicy
object (manaV2NullablePolicyName)
policy
string
Exampleexample string
holdTimer
integer (int32)
Minimum0
Example123
keepaliveTimer
integer (int32)
Minimum0
Example123
md5Password
object (manaV2NullableMd5Password)
md5Password
string
Exampleexample string
peerAsn
integer (int32)
Minimum0
Example123
sendCommunity
boolean
Exampletrue
static
object (manaV2IPsecStaticRouteConfig)
destinationPrefix
Array of string
string
Exampleexample string
tcpMss
integer (int32)
Minimum0
Example123
tunnel1
object (manaV2IPsecGatewayTunnelDetails)
insideIpv4Cidr
string
Exampleexample string
insideIpv6Cidr
string
Exampleexample string
localIkePeerIdentity
string
Exampleexample string
psk
string
Exampleexample string
tunnel2
object (manaV2IPsecGatewayTunnelDetails)
insideIpv4Cidr
string
Exampleexample string
insideIpv6Cidr
string
Exampleexample string
localIkePeerIdentity
string
Exampleexample string
psk
string
Exampleexample string
vpnProfile
string
Exampleexample string
ipsecGatewayPeers
object (manaV2IPsecGatewayPeersConfig)
name
string

Name of the IPsec gateway service

Exampleexample string
remotePeers
Array of object (manaV2IPsecGatewayRemotePeer)
object
destinationAddress
string
Exampleexample string
ikeInitiator
boolean

When true, Graphiant initiates IKE for this peer

Exampletrue
mtu
integer (int32)
Minimum0
Example123
name
string

Optional display name or label for this peer; used when generating tunnel names

Exampleexample string
remoteIkePeerIdentity
string

IKE identity of the remote peer

Exampleexample string
tcpMss
integer (int32)
Minimum0
Example123
tunnel1
object (manaV2IPsecGatewayTunnelDetails)
insideIpv4Cidr
string
Exampleexample string
insideIpv6Cidr
string
Exampleexample string
localIkePeerIdentity
string
Exampleexample string
psk
string
Exampleexample string
tunnel2
object (manaV2IPsecGatewayTunnelDetails)
insideIpv4Cidr
string
Exampleexample string
insideIpv6Cidr
string
Exampleexample string
localIkePeerIdentity
string
Exampleexample string
psk
string
Exampleexample string
vpnProfile
string

Enterprise IPsec VPN profile name for this peer

Exampleexample string
routing
object (manaV2IpsecRoutingConfig)
bgp
object (manaV2IPsecBgpRouteConfig)
addressFamilies
object
property*
object (manaV2NullableBgpNeighborAddressFamilyConfig) additionalProperties
family
object (manaV2BgpNeighborAddressFamilyConfig)
addressFamily
string
ExampleENUM_VALUE
inboundPolicy
object (manaV2NullablePolicyName)
policy
string
Exampleexample string
outboundPolicy
object (manaV2NullablePolicyName)
policy
string
Exampleexample string
holdTimer
integer (int32)
Minimum0
Example123
keepaliveTimer
integer (int32)
Minimum0
Example123
md5Password
object (manaV2NullableMd5Password)
md5Password
string
Exampleexample string
peerAsn
integer (int32)
Minimum0
Example123
sendCommunity
boolean
Exampletrue
static
object (manaV2IPsecStaticRouteConfig)
destinationPrefix
Array of string
string
Exampleexample string
regionId
integer (int32)
Example123
Responses
200

OK

Expand All
object
consumerActivityId
string
Exampleexample string
id
integer (int64)
Example1234567891011
lanSegment
integer (int64)
Example1234567891011
nat
Array of object (manaV2B2bNat)
object
outsideNatPrefix
string

Outside NAT prefix for the customer prefix

Example100.1.2.0/24
prefix
string

Prefix imported into the service (required)

Example10.1.2.0/24
siteInformation
Array of object (manaV2B2bSiteInformation)
object
bwAllocationSiteLists
integer (int32)

Total Bandwidth allocation for the service on these site lists

Example123
bwAllocationSites
integer (int32)

Total Bandwidth allocation for the service on these sites

Example123
policerSiteLists
object (manaV2Policer)
burstSize
integer (int32)

Burst size for the policer (required)

Example123
bw
integer (int32)

Bandwidth for the policer (required)

Example123
policerSites
object (manaV2Policer)
burstSize
integer (int32)

Burst size for the policer (required)

Example123
bw
integer (int32)

Bandwidth for the policer (required)

Example123
siteLists
Array of integer
integer (int64)

Site list IDs where the service is deployed

Example1234567891011
sites
Array of integer
integer (int64)

Site IDs where the service is deployed

Example1234567891011